Bug 88056 - [FILE OPEN/SAVE] field Insert ▸ Field ▸ Page Title not saved / reloaded
Summary: [FILE OPEN/SAVE] field Insert ▸ Field ▸ Page Title not saved / reloaded
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.4.0.1 rc
Hardware: Other All
: highest major
Assignee: Katarina Behrens (CIB)
URL:
Whiteboard: target:5.0.0 target:4.4.4
Keywords:
Depends on:
Blocks: mab4.4
  Show dependency treegraph
 
Reported: 2015-01-05 14:07 UTC by Sean Carlos
Modified: 2015-05-27 10:25 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sean Carlos 2015-01-05 14:07:03 UTC
The new Impress "Page Title in Insert ▸ Field ▸ Page Title" feature doesn't seem to work.

I tried adding it to both the slide Title and Text areas where it displays ok, but appears to be lost when the file is saved and reopened / reloaded.

I marked it as major only as it is a touted new feature which doesn't appear to work. https://wiki.documentfoundation.org/ReleaseNotes/4.4#Page_Title_field
Comment 1 Cor Nouws 2015-01-05 16:35:02 UTC
Hi Sean,

Thanks for filing the issue.
I confirm the problem.

After close and reopen, the frame that had the name, is still there, but the content is gone.
Cor
Comment 2 Robinson Tryon (qubit) 2015-03-05 20:06:25 UTC
Setting priority to highest as this is a 4.4 MAB. This is part of an effort to
make the importance of MAB reflected in priority too.
Comment 3 Commit Notification 2015-04-08 21:07:34 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8959ace44076273fc5398e8973005f5ba159b6c0

Related tdf#88056: Add a warning when id service unknown

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Julien Nabet 2015-04-08 21:07:46 UTC
Samuel: noticing http://cgit.freedesktop.org/libreoffice/core/commit/?id=e16c8534f446a7cc311d6d5026aae5457e4f8e6c, thought you might be interested in this one.
I pushed this patch http://cgit.freedesktop.org/libreoffice/core/commit/?id=8959ace44076273fc5398e8973005f5ba159b6c0 to help a bit investigation on similar cases.
Comment 5 Katarina Behrens (CIB) 2015-04-16 20:54:39 UTC
Taking this guy ...
Comment 6 Commit Notification 2015-04-17 11:40:09 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3e56e3214073bb915c3a2ff4cb5429c63f18c459

Related tdf#88056: prep UNO stuff for ODF export/import

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-04-21 08:59:06 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6609de8856519e0e9ec8456ca0969004a8214346

Related tdf#88056: this guy's better off in presentation namespace

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-04-21 08:59:10 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=502a700877f6ed10d81f541de35e53f9f1508b3c

Related tdf#88056: Placeholder needed for ODF export/import

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2015-04-22 13:24:36 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=57929ce5ccbb0ddf213d2182b94e939ba6a337bb

tdf#88056: Implement import of page title field from ODF

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Katarina Behrens (CIB) 2015-04-22 13:27:35 UTC
Stay tuned, guys, this is a tough one. I have ODF export and import working now, but still can't have Impress to actually display what has been imported *sigh*
Comment 11 Commit Notification 2015-04-22 21:07:41 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f89f3c56fec75b122ce392b7736d7585fc7f2279

Related tdf#88056: more UNO stuff was missing

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2015-04-22 21:07:45 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b94de8fa13faa2849ead136d22cfb46f7d3bfddc

Related tdf#88056: Use correct service name

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2015-05-18 14:53:25 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b5e16d8dab070cfef908e7b5ca0417da534b82bf

Related tdf#88056: use better-fitting <text:page-name>

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2015-05-19 10:45:24 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=737863ce3466391733c3f66766ab764d2fbda4ab

Related tdf#88056: Use different placeholders for Impress and Draw

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2015-05-27 09:27:52 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=42b521f800a08b11432cf906ce1bdf9fcbfffdeb&h=libreoffice-4-4

tdf#88056: Implement ODF import/export of page title field

It will be available in 4.4.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 16 Katarina Behrens (CIB) 2015-05-27 10:25:50 UTC
Fixed then